Bug 48359 - SiS 5597/8 USB + uscanner breakage
SiS 5597/8 USB + uscanner breakage
Status: Closed FIXED
Product: Base System
Classification: Unclassified
Component: kern
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD USB mailing list
Depends on:
  Show dependency treegraph
Reported: 2003-02-17 06:30 UTC by brad
Modified: 2005-07-23 05:17 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description brad 2003-02-17 06:30:08 UTC
	The USB controller present here does not interact well with uscanner.
	The problem manifests itself in an inability to instruct the scanner
	to conduct a scan more than once, reliably. The device will succeed,
	silently return to idle, and will never be heard from again.

	All SANE frontends fail to communicate with the scanner after this 

	If another USB device such as a mouse is plugged in at the same time,
	this does not occur. This may provide a clue as to where the failure is

	The scanner used to demonstrate this is an Agfa Snapscan e20. Whether
	this is specific to the type of scanner is unknown. The snapscan works
	flawlessly with other USB controllers using FreeBSD, including that 
	included in the intel i810e chipset and the VIA KT133. This pinpoints
	an interaction with the SiS controller specifically.


Workaround: Use a USB mouse or plug another USB device into the other port. This is a workaround to the issue, and the scanner(s) will proceed to work well.
	Use snapscan e20 with SANE frontend such as xscanimage GIMP plugin.

	-	Scan using different modes and resolutions, multiple times each.
	-	Observe that when the scanner is the only device plugged into
		a USB port, this recurs.
	-	Others who see this PR, please test this condition with 
		other USB scanners (non-snapscan)
Comment 1 kris freebsd_committer 2003-07-18 01:33:41 UTC
Responsible Changed
From-To: freebsd-bugs->joe

Assign to USB maintainer
Comment 2 joe freebsd_committer 2004-11-10 11:00:30 UTC
Responsible Changed
From-To: joe->freebsd-usb

Hand this over to the usb mailling list.
Comment 3 julian 2005-01-10 03:58:56 UTC
can you still test this?

I believe it to be fixed..
Comment 4 julian 2005-01-10 03:59:34 UTC
can you still test this?

I believe it to be fixed..
Comment 5 iedowse freebsd_committer 2005-03-23 02:08:31 UTC
State Changed
From-To: open->feedback

Does this problem still occur with more recent releases?
Comment 6 Mark Linimon freebsd_committer 2005-07-23 05:17:16 UTC
State Changed
From-To: feedback->closed

Feedback timeout (> 3 months).